Subject: Re: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Dec 2020 17:05:15 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 19 Dec 2020 21:10:13 +0000
> 
> >> The printed label "see Current Buffer" should be displayed instead of
> >> this word, which is part of the anchor.  Is that okay?
> >
> > Sorry, I didn't see that this is an anchor.  So I think the anchor
> > should not start with a capital letter, as it reads more naturally
> > that way, I think.  And then the name should be used without
> > capitalization in the cross-references.  Obviously, this is a minor
> > nit.
> 
> I'm hesitant to change the anchor because all 37 such "Definition of..."
> anchors in the tree are capitalised, as are the printed labels of all
> their refs.
> 
> I'm happy to downcase them, but maybe this should be done wholesale in a
> separate commit?

That's okay, let's leave the anchor capitalization alone for now.

> >> The alternatives would be for Fmake_indirect_buffer to not call
> >> run_buffer_list_update_hook, or to not bother adding
> >> run_buffer_list_update_hook at all.  Do you have a preference?
> >
> > I think just having a comment there saying that make-indirect-buffer
> > calls this with NULL argument should be okay.
> 
> How's the attached?

LGTM, thanks.